#include "MyGui.h"

MyGui::MyGui( MyProducer* Producer,
							MyPainter* Painter ) : TGMainFrame( gClient->GetDefaultRoot() )
{
	SetLayoutManager( new TGVerticalLayout( this ) );

	TGTextButton*  DrawButton   = new TGTextButton(  this, "Click Me!"     );
	TGTextButton*  ThreadButton = new TGTextButton(  this, "Start Thread!" );
	TGCheckButton* CrashButton  = new TGCheckButton( this, "Crash Thread!" );

	AddFrame( DrawButton   );
	AddFrame( ThreadButton );
	AddFrame( CrashButton  );

	DrawButton->Connect( "Clicked()", "MyProducer", Producer, "Update()" );
	ThreadButton->Connect( "Clicked()", "MyProducer", Producer, "StartThread()" );
	CrashButton->Connect( "Toggled(Bool_t)", "MyPainter", Painter, "CrashThread(Bool_t)" );

	CrashButton->SetDown( kTRUE, kTRUE );

	MapWindow();
	MapSubwindows();

	Resize( 100, 100 );

} // Constructor

//______________________________________________________________________________
MyGui::~MyGui()
{
  // Function description
  //
  Cleanup();
}

//______________________________________________________________________________
void MyGui::CloseWindow()
{
  // Function description
  //
  gApplication->Terminate(0);

}
